## org.apache.cassandra.io.sstable
Class SSTableMetadata.SSTableMetadataSerializer

    java.lang.Object
      org.apache.cassandra.io.sstable.SSTableMetadata.SSTableMetadataSerializer

Enclosing class:
  SSTableMetadata

    public static class SSTableMetadata.SSTableMetadataSerializer

extends java.lang.Object

Constructor Summary
`SSTableMetadata.SSTableMetadataSerializer()`

Method Summary
`SSTableMetadata` `deserialize(java.io.DataInputStream dis, Descriptor desc)`
`SSTableMetadata` `deserialize(Descriptor descriptor)`
`void` `serialize(SSTableMetadata sstableStats, java.io.DataOutput dos)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SSTableMetadata.SSTableMetadataSerializer

    public SSTableMetadata.SSTableMetadataSerializer()

Method Detail

### serialize

    public void serialize(SSTableMetadata sstableStats,
                          java.io.DataOutput dos)
                   throws java.io.IOException

  Throws:
    `java.io.IOException`

### deserialize

    public SSTableMetadata deserialize(Descriptor descriptor)
                                throws java.io.IOException

  Throws:
    `java.io.IOException`

### deserialize

    public SSTableMetadata deserialize(java.io.DataInputStream dis,
                                       Descriptor desc)
                                throws java.io.IOException

  Throws:
    `java.io.IOException`

Copyright © 2012 The Apache Software Foundation